Flash en Chromium

Como Hacer Funcionar Flash Player con Chromium en Ubuntu

Si utilizas el navegador Chromium en Ubuntu, seguramente te habrás dado cuenta de que, desde la versión 34, coincidiendo con el cambio de Chrome al pasarse a Aura, Flash Player ya no funciona. O almenos, no el paquete tradicional que soliamos instalar y funcionaba ya con todos los navegadores.

Con esta guía verás cuales son los pasos necesarios para instalar Flash Player en Ubuntu y hacer que funcione bien en Chromium, aunque el proceso debería ser similar en Debian o cualquier otra distribución GNU/Linux derivada, al igual que también debería servir en otros navegadores derivados de Chromium como Vivaldi.

En este post verás:

Flash Player se convierte en Pepper Flash

El hecho de que no funcione se debe a que la versión estándar de Flash Player para Ubuntu empaquetada y distribuida en los repositorios oficiales de la distribución es antigua y ya no es compatible con las más recientes versiones de Chrome, y por extensión, de Chromium.

Esto es debido a la retirada del soporte de los plugins NPAPI por parte de Google, y su transición a plugins que funcionen vía PPAPI (un movimiento al que también se ha sumado Mozilla más tarde).

Para ello, Google ha empaquetado su propia versión de Flash, denominada Pepper Flash, que viene incorporada por defecto en Google Chrome. En el caso de Chromium, al ser un proyecto de software libre, si quieres usar Pepper Flash se debe instalar aparte.

Si utilizas la más Ubuntu 14.04 LTS o cualquier release posterior, el proceso es muy simple, pero en la antigua LTS de Ubuntu, la 12.04 (soportada hasta 2017) el proceso es algo más largo.

Por ello, he pensado dividir la guía en dos partes, dependiendo de si usas la ultima LTS, o, como es mi caso, aun sigues con la 12.04.

Instala Pepper Flash en Ubuntu 14.04 LTS o cualquier versión superior

A partir de Ubuntu 14.04 LTS, el proceso es realmente sencillo, pues Pepper Flash ya está disponible en los repositorios oficiales del sistema, concretamente en el canal Multiverse, por lo que lo único que necesitaremos es instalar el paquete y listos.

Por defecto, el repositorio Multiverse debería venir habilitado, pero en caso de problemas a la hora de localizar el paquete no está demás revisar que realmente sea así.

Instalación desde Ubuntu Software Center

Como cualquier aplicación, podemos instalar Pepper Flash directamente desde el Centro de Sotware de Ubuntu. Puedes acceder directamente desde el lanzador lateral, o tecleando “Ubuntu Software Center” en el Dash.

Una vez allí,  allí, tan solo deberías teclear la palabra clave “Pepper” en el buscador de arriba. Es posible que desde un inicio no aparece en los resultados, al tratarse de un paquete que no conforma una aplicación completa.

Instalar PepperFlash desde Ubuntu Software Center

Para que aparezca, si te fijas, en la parte inferior de la ventana hay un mensaje que pone algo así como “mostrar 2 elementos técnicos”. Al darle clic, aparecerá entre los resultados un paquete llamado pepperflashplugin-nonfree. Este es el que debemos instalar.

Otra opción, si no te gusta el centro de software de Ubuntu, es utilizar el gestor de paquetes Synaptic, que aunque no viene instalado de forma predeterminada, lo puedes encontrar fácilmente en los repositorios oficiales.

Instalación desde la Terminal

Si lo prefieres, también puedes instalar PepperFlash desde la línea de comandos. Para ello, tan solo debes abrir una ventana de terminal y hacer un apt-get install con el nombre del paquete. Aquí tienes el comando completo:

$ sudo apt-get install pepperflashplugin-nonfree

NOTA: Si quieres aprender más sobre como instalar programas en Ubuntu desde la Terminal, tienes una guía completa en el post que te acabo de enlazar.

Con esto, ya tenemos instalado Pepper Flash en Chromium. Para comprobar que realmente es así, puedes abrir una ventana de Chromium, y en la barra de direcciones teclear la siguiente ubicación:

chrome://plugins

Aquí debería aparecer listado el plugin Adobe Flash Player, junto con todos los demás plugins que tengas en Chromium. En teoría debería estar ya activado, pero si no es así puedes activarlo desde esta misma ventana.

Chromium Plugins

Y con esto ya está. Como ves, el hecho de que el paquete venga en los repositorios de Ubuntu 14.04 facilita mucho las cosas.

Actualizar Pepper Flash

Para actualizar Pepper Flash en Ubuntu realmente no hará falta que hagas nada, ya que al venir en los repositorios del sistema, se instalará junto con las actualizaciones regulares, por lo que por lo general siempre estarás utilizando la ultima versión más moderna.

En caso de que haya una versión más moderna en los repositorios, el gestor de actualizaciones te avisará automáticamente, pero siempre puedes hacer una comprobación manual con apt-get:

$ sudo apt-get update

Instalar Pepper Flash en Ubuntu 12.04 LTS

Si como yo aun sigues utilizando Ubuntu 12.04 LTS (sobretodo ahora que ha salido la revisión 12.04.5 LTS, y que por cierto lleva el mismo kernel Linux que la 14.04 LTS) pues el proceso es un poco más largo, ya que Pepper Flash no viene en sus repositorios oficiales.

En este caso, tenemos que instalar previamente el PPA de Pepper Flash. El PPA puedes encontrarlo directamente en Launchpad.net. El proceso para añadirlo a tu sistema es igual que con cualquier otro PPA. Tan solo tenemos que abrir una ventana de Terminal y teclear:

sudo add-apt-repository ppa:skunk/pepper-flash

Hecho esto, en la misma ventana de la terminal verás que te habrá aparecido información sobre el autor del PPA, junto con su clave pública GPG . En este caso, al autor del PPA es Daniel Richard G., y su ID en Launchpad es skunk.

Bien, pues con este sencillo paso ya tendrás el PPA de Pepper Flash en tu sistema. Ahora falta instalar el plugin, pero previamente siempre es mejor hacer update de la lista de paquetes:

$ sudo apt-get update

Y ahora si que ya estamos listos para instalar el paquete. Para ello, puedes optar por instalarlo desde Ubuntu Software Center, tecleando las palabras “Flash” o “Pepper Flash” en su buscador para localizar el paquete, o bien haciéndolo desde la misma ventana de la terminal, mediante el siguiente comando:

$ sudo apt-get install pepflashplugin-installer

Una vez instalado, faltará añadirlo en Chromium. Para ello, es necesario añadir una linea al final del archivo de configuración de Chromium. Para ello, puedes utilizar el editor de textos que más te guste, pero en mi caso suelo utilizar Gedit.

Para abrir el archivo de configuración de Chromium con Gedit con permisos de superusuario, puedes utilizar este comando:

$ sudo gedit /etc/chromium-browser/default

Una vez abierto, y con mucho cuidado de no borrar ninguna línea, tan solo debemos ir al final del archivo y añadir la siguiente linea de texto:

. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Habiendo copiado esto (fíjate que hay un espacio entre el primer punto y la barra invertida), podemos guardar y cerrar el archivo de configuración, y abrir o reiniciar Chromium.

Igual que en el caso anterior, puedes poner la siguiente dirección en la barra de búsquedas para comprobar que, efectivamente, el plugin está correctamente instalado y activado en Chromium.

Chromium Plugins

Y con esto ya podrás disfrutar de Flash como venías haciendo hasta ahora. Si tienes cualquier otra duda en algún punto, o simplemente no te ha funcionado, no dudes en comentar debajo;)

Ultimas Consideraciones

Gracias al comentario de Rober he podido corregir un error que había en el texto a la hora de editar el fichero de configuración de Chromium, y es que en la ruta indicaba el directorio pero me había dejado de especificar el archivo.

Como ha explicado Minnk en los comentarios, en el apartado referente a Ubuntu 12.04 falta un pequeño detalle, y es que una vez se ha añadido el PPA de PepperFlash, es necesario hacer un sudo apt-get update antes de instalar el paquete.

Fuente  |  Launchpad.net – Pepper Flash installer

Anuncios

Publicado por

Oriol

Soy un chico de Barcelona. Estoy aquí para compartir mis Hobbies e intentar aportar mi granito de arena a todos aquellos usuarios interesados en el mundo de la informática, internet y las tecnologías de la información en general.

135 thoughts on “Como Hacer Funcionar Flash Player con Chromium en Ubuntu”

  1. Yo tengo ubuntu 12.04, e hice todos los pasos para y cuando pongo sudo apt-get install pepflashplugin-installer me dice: E: El paquete «pepflashplugin-installer» no tiene un candidato para la instalación. Ya había hecho todos los pasos anteriores pero reinicié chromium y no me anduvo el flash e intente instalarlo de nuevo y ahí me apareció eso. Me podrías ayudar? Te agradezco

    Me gusta

    1. Hola Simon, actualmente hace ya bastante que no utilizo la versión 12.04 de Ubuntu, pero si me dices la versión exacta que utilizas puedo mirar de reproducir tu entorno en una maquina virtual. Si puedes, ejecuta el siguiente comando en la terminal y dime cual es la salida:

      uname -a

      Con esto intentaré instalarme la misma versión y kernel y veo cual puede ser el problema.

      Me gusta

  2. Hola. Después de hacer de todo con mi versión 15.04 de ubuntu (32 bits, eso sí) y no conseguir hacer funcionar flash player con chromium, y con firefox algo más de lo mismo, quiero cambiar de versión, por lo que me gustaría saber si hay alguna donde el tema este esté mejor habilitado, más que nada por ir a lo más seguro. Muchas gracias por vuestro trabajo. Un saludo.

    Me gusta

  3. Una pregunta, en otros navegadores es necesario flash player? porque si no me instalo otro navegador por ej Opera y ya estaría el problema resuelto?

    Me gusta

    1. Hola Melanie,

      Creo que por ahora, el unico navegador que lleva Flash incorporado es Google Chrome (sin contar el Internet Explorer de Windows).
      No viene en los repositorios oficiales de Ubuntu, pero te lo puedes instalar tranquilamente desde https://www.google.com/chrome.

      Aun así, cada ez más webs hacen uso de HTML5, por lo que la necesidad de contar con Flash es cada vez menor. En Youtube, por ejemplo, a diferencia de lo que ocurría hace tan solo 3 o 4 años, la gran mayoría de vídeos los puedes ver ya sin necesidad de contar con Flash ni ningún plugin adicional.

      Me gusta

  4. Amigo, se instaló, perfecto, y lo tengo marcado en el navegador, pero cuando intento entrar a una pagina que lo utiliza, como paginas de transmision en vivo me dice NO SE HA PODIDO CARGAR EL COMPLEMENTO, ayudame por favor, cada vez me familiarizo mas con Ubuntu y quiero hacer funcionar esto.

    Me gusta

  5. y si no cierro la terminal, pongo esto sudo apt-get install pepflashplugin-installer y no pasa nada, no reconoce como que le estoy mandando algo y cuando cierro la temrinal la abro de nuevo y pongo sudo apt-get install pepflashplugin-installer me aparece lo mismo de antes, que no se puede localizar bla bla

    Me gusta

  6. Hola hice lo que vos me dijiste pero me aparece lo mismo, al poner sudo gedit /etc/apt/sources.list se abrió un archivo y puse eso: deb http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main
    deb-src http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main lo guarde y ya está, despues puse para instalar pepper flash y no me dejó, me sigue apareciendo lo mismo :(

    Me gusta

    1. Hola Melanie,
      ¿Probaste de hacer un sudo apt-get update justo después de añadir estas dos líneas en el archivo sources.list?
      Lo digo porqué al modificar la información relativa a los repositorios siempre es recomendable hacerlo que detecte la información nueva.
      Esto deberías hacerlo antes ejecutar el comando para instalar Pepper Flash.

      Me gusta

      1. Hola, añado las líneas y me pone: (gedit:9197): Gtk-WARNING **: Attempting to store changes into `/root/.local/share/recently-used.xbel’, but failed: Falló al crear el archivo «/root/.local/share/recently-used.xbel.RVQ6OY»: No existe el archivo o el directorio

        (gedit:9197): Gtk-WARNING **: Attempting to set the permissions of `/root/.local/share/recently-used.xbel’, but failed: No existe el archivo o el directorio
        después de eso pongo sudo apt-get update y no pasa nada

        Me gusta

    1. Hola Melanie,

      Tienes razón, ahora mismo lo acabo de comprobar en una partición donde aun tenía la 12.04 (actualizada a la ultima Point Release) y efectivamente me ocurre exactamente lo mismo que comentas.

      Ahora mismo no se a que se debe, puesto que en su momento funcionaba correctamente, pero buscaré más info y te digo, así aprovecharé para actualizar el post.

      Me gusta

    2. Hola Melanie,

      Finalmente he probado de añadir los repositorios manualmente, pero en vez de los referentes a la versión 12.04, los de la 14.04.

      Es decir que he abierto el archivo sources.list mediante el siguiente comando:

      sudo gedit /etc/apt/sources.list

      Y posteriormente, al final del archivo, he añadido las siguientes dos líneas:

      deb http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main
      deb-src http://ppa.launchpad.net/skunk/pepper-flash/ubuntu trusty main

      Y con esto, cuando hagas el paso de instalar el paquete, ya te lo detectará correctamente:

      sudo apt-get install pepflashplugin-installer

      Ahora faltaría hacer solo el ultimo paso y listo.

      Me gusta

  7. Hola, ignora mi anterior comentario xd, ahora si pude hacer eso sacandole el $ bueno pero ahora con $ sudo apt-get install pepflashplugin-installer me dice leyendo lista de paquetes hecho creando arbol de dependencias leyendo la información de estado hecho, pero después pone: no se ha podido localizar el paquete pepflashplugin-installer
    ¿me podrías ayudar por favor? gracias

    Me gusta

  8. Hola con el segundo método iba todo bien hasta que tenia que poner esto : $ sudo apt-get update
    cuando pongo eso en la terminal no me funciona, me dice orden no encontrada
    ¿que podria hacer? muchas gracias

    Me gusta

  9. Hey, son los mejores!

    Tengo la distribución 14.4 y aunque seguí los pasos no me funcionó el pepper flash, aunque lo instalé como lo recomendaban; sin embargo hice los pasos para instalarlo como en la versión 12 y me funcionó perfecto!

    La verdad cada vez me familiarizo más con la terminal y me gusta aprender así, muchas gracias por su trabajo y aporte!

    Me gusta

    1. Gracias a ti Gustavo!
      Me alegra saber que te ha sido útil.
      Tengo pendiente actualizar un poco esta entrada para hacerlo extensible a Ubuntu 16.04, que por lo que comentan algunos ha dado algunos problemas.

      Me gusta

  10. Hola en Ubuntu no tuve problemas, todo funcionó bien, pero ahora estoy en Debian y no logro hacer que funcione, ya instalé el pepper flash y en los complementos me aparece instalado, incluso ya lo tengo marcado para ejecutarse siempre, pero aún no me funciona en Chromium, cuando entro a paginas web donde hay directos no los carga, me marcan que no se ha podido cargar el complemento. Probé ya con otros navegadores y en Iceweasel que ahora es el navegador por defecto de Debian tampoco lo carga, sólo con Chrome los carga. Otra cosa es que cuando intento modificar el fichero gedit me marcan que no existe y me abren uno que está en blanco. ¿Sabes si me falta instalar algún otro complemento o modificar algo?

    Me gusta

    1. Hola Giovanni, ¿qué versión de Ubuntu utilizas?
      Por lo que he podido probar, en Ubuntu 15.10 se instala bien pero Chromium no la reconoce.

      Por otro lado, lo he instalado en Ubuntu 16.04 (versión daily build) de la misma forma que cuento en el post y me ha funcionado sin problema. Te pongo en comando debajo por si lo quieres probar (la versión final de Ubuntu 16.04 LTS sale el 21 de Abril, en menos de una semana):

      sudo apt-get install pepperflashplugin-nonfree

      También existe una adaptación de PepperFlash preparada para funcionar en Firefox. Puedes instalarla mediante el siguiente comando:

      sudo apt-get install browser-plugin-freshplayer-pepperflash

      Espero que te sirva de ayuda!

      Me gusta

      1. Hola Rafael, perdona por tardar tanto en contestar:(
        Entiendo que has instalado el plugin PepperFlash para Chromium y aun así no te aparece listado en la lista de plugins del navegador, ¿es así?

        Aun no he probado Ubuntu 16.04 LTS desde que ha salido de forma estable, pero si que la probé por unos días antes cuando aun estaba en Beta y recuerdo que me había funcionado (a diferencia de la versión 15.10 donde no conseguí que funcionara).

        En breve pienso ponerme con esta versión para probarlo en primera persona, pero por lo que he podido investigar, desde no hace mucho existe un paquete de Pepper Flash llamado browser-plugin-freshplayer-pepperflash que debería servir tanto para Firefox como para Chromium. Puedes probar de instalarlo a ver que tal funciona.

        sudo apt install browser-plugin-freshplayer-pepperflash

        Espero que te sirva de ayuda. En cuanto lo haya verificado en primera persona haré un update de este post con el nuevo procedimiento.

        Me gusta

        1. Hola Yuri, pude instalarlo en kubuntu 16.04 usando

          1) sudo apt-get install browser-plugin-freshplayer-pepperflash
          2 sudo ln -s /usr/lib/browser-plugin-freshplayer-pepperflash/libfreshwrapper-flashplayer.so /usr/lib/chromium-browser/plugins/libflashplayer.so
          Sin el 2do paso no me aparecía el plugin desde about://plugins.

          Saludos y gracias!

          Me gusta

        2. Wow, fantástico!!!
          Muchas gracias por la aportación Ariel, lo pruebo sin duda en cuanto tenga un rato y te comento;)
          Enlazaré tu comment al final del post para la gente que se encuentre en la misma situación al intentar hacerlo en Ubuntu 16.04.
          Saludos y hasta pronto:)

          Me gusta

  11. Hola, tengo Ubuntu 12.04 Lts e intento instalarlo y al ejecutar el segundo comando me dice “ceibal@ceibal:~$ sudo apt-get install pepflashplugin-installer
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    E: No se ha podido localizar el paquete pepflashplugin-installer
    ceibal@ceibal:~$ ”

    Plis ayuda, Linux ubuntu 12.04 lts 32 bit

    Me gusta

    1. Hola Santiago, perdona por la tardanza en contestar:(
      Al estar en Ubuntu 12.04, para poder instalar el paquete, reviamente necesitas instalar un PPA en tu sistema. Puede ser que después de instalar el PPA debas actualizar la lista de definiciones. Sea como sea, prueba de hacer lo siguiente:

      Primero de todo, instalar el PPA:

      sudo add-apt-repository ppa:skunk/pepper-flash

      Actualizar definiciones:

      sudo apt-get update

      Y luego instalar el paquete:

      sudo apt-get install pepflashplugin-installer

      En caso de que el problema esté con el PPA, plis coméntamelo porqué puede que haya cambiado. En este caso, puedes probar de añadir manualmente los siguentes repositorios:

      deb http://ppa.launchpad.net/skunk/pepper-flash/ubuntu precise main
      deb-src http://ppa.launchpad.net/skunk/pepper-flash/ubuntu precise main

      Coméntame si hay algun problema;)

      Me gusta

  12. Hola. He instalado pepper desde el centro de software, pero me sigue sin funcionar. Tengo el ubuntu 15.04 ¿Qué puedo hacer? Gracias.

    Me gusta

    1. Hola Manel, es posible que al ser la guía basada en Ubuntu 14.04, en la 15.04 no funcione o que el paquete tenga otro nombre. Acabo de probar de instalarlo en Ubuntu 15.10, y por lo que veo el paquete se llama igual.

      Prueba una cosa, en Chromium, dirigete a la ruta chrome://plugins y coméntame si te aparece el plugin o no.

      En caso de que no aparezca, puedes probar de ejecutar el siguiente comando:

      sudo apt-get install pepperflashplugin-nonfree

      Y luego:

      sudo update-pepperflashplugin-nonfree --install

      Y me comentas cual es el resultado.

      Me gusta

      1. Hola. He introducido el primer comando y me dice pepperflashplugin-nonfree ya está en su versión más reciente. Pero voy a chrome://plugins y no me aparece, incluso después de reiniciar el equipo.

        Me gusta

        1. Hola Manel, tienes razón, lo acabo de probar ahora en Ubuntu 15.04, y me ocurre exactamente lo mismo que describes.
          Investigaré a que se puede deber, porqué a mi también me interesa saberlo de cara a la próxima versión LTS.
          Te comentaré si doy con la solución.
          Mientras tanto, lo que si puedes hacer es utilizar una adaptación de PepperFlash que funciona con Firefox. Es el paquete browser-plugin-freshplayer-pepperflash. Yo lo he probado y funciona sin problema en Firefox y otros navegadores que aun aceptan plugins NPAPI.
          Te comento en cuanto sepa algo más;)

          Me gusta

      2. Además, en el centro de software, ppeper flash player me aparece como instalado, pero me da este mensaje: “This package will download Chrome from Google, and unpack it to make the included Pepper Flash Player available for use with Chromium. The end user license agreement is available at Google.” Por si sabes a qué se refiere, si tengo que buscar la licencia en google o descargar algo más.

        Me gusta

  13. Hola. Uso ubuntu 15.04 y he instalado pepper desde el centro de software siguiendo tus indicaciones, pero en las páginas de chromium me sigue apareciendo “you need to update your flash player”. ¿Qué puedo hacer? Gracias

    Me gusta

  14. me aparece el error: No se ha podido localizar el paquete pepflashplugin-installer
    e intentado muchas veces y no me anda!!!! responde plis

    Me gusta

    1. Hola, siento que no te funcione. Se me ocurre que en versiones de Ubuntu superiores a la 14.04 el paquete tenga otro nombre.
      ¿Que versión de Ubuntu utilizas?

      Si en Chromium te diriges a la ruta chrome://plugins, ¿PepperFlash te aparece en la lista de plugins?

      Si estas en una versión de Ubuntu superior a la 14.04, prueba también de ejecutar los siguientes comandos:

      sudo apt-get install pepperflashplugin-nonfree
      sudo update-pepperflashplugin-nonfree --install

      Y me comentas cual es el resultado.

      Me gusta

    2. Hola termineiton, ¿qué versión de Ubuntu utilizas?
      Lo digo porqué el paquete que comentas es el que se utiliza en Ubuntu 12.04. Para Ubuntu 14.04 o versiones más recientes, el paquete a instalar es pepperflashplugin-nonfreee.

      Me gusta

  15. Hola!
    He seguido tus pasos uno a uno pero tanto desde Centro software como desde la terminal, en ubuntu 14.04, me da error en un paquete y no se instala.

    El error que sale enel terminal es el siguiente:
    “sub process /usr/bin/dpkg returned an error code (2)”

    Si tuvieras la solución, te lo agradecería!!! :)

    Me gusta

  16. ☺ Gracias a Mi me Sirvió al 100%►Bien → Dios se los Pague Por La Ayuda Muy Útil

    § Desde Venezuela §

    Como Hacer Funcionar Flash Player con→ Chromium en Ubuntu ►

    $ sudo add-apt-repository ppa:skunk/pepper-flash

    $ sudo apt-get install pepflashplugin-installer

    Me gusta

  17. Ya intente todo con lo de los comentarios y todo pero no consigo que funcione
    tengo ubuntu 14.04 lts se instala perfecto pero por ejemplo la ruta /usr/lib/pepflashplugin-installer/ ya reinice el equipo lo actualice y nada

    Me gusta

    1. Hola Friederich, entiendo que Flash sigue sin funcionarte a la hora de visualizar vídeos.
      De todos modos, si en Chromium pones la ruta “chrome://plugins”, ¿te aparece el plugin de Flash?

      Si tienes Ubuntu 14.04 LTS en teoría con instalar el paquete desde los repos oficiales ya debería ser suficiente. El paso de editar el fichero “/etc/chromium-browser/default” añadiendo la ruta que comentas solamente es necesario en Ubuntu 12.04 LTS. De todos modos la ruta que tienes que añadir es “. /usr/lib/pepflashplugin-installer/pepflashplayer.sh”, igual que la que comentas pero añadiendo la parte “/pepflashplayer.sh” al final.

      ¿Probaste de instalar el paquete desde los repos oficiales y comprobar si te aparecía PepperFlash entre los plugins de Chromium antes de modificar ninguna línea?

      Me gusta

    1. Si, la primera parte de la guía es para Ubuntu 14.04 LTS y posteriores, pero la segunda parte explica los pasos para hacerlo en Ubuntu 12.04.
      La diferencia es que en Ubuntu 12.04 debes hacer la instalación mediante PPA y luego editar el archivo de configuración de Chromium.
      Si tienes alguna duda coméntame:)

      Me gusta

  18. hola amigo de nuevo, ya habia intentado “sudo apt-get install flashplugin-nonfree” pero tampoco funciona “incapaz de localizar el paquete flashplugin-nonfree, en la lista de plugins de mozilla aparece flasplayer pero de gnash, tal vez por eso no puedo abrir la aplicacion del juego, pero en chromium no tengo ningun player, al querer instalar el pepperflash, me marca que no soy candidato. saludos

    Me gusta

    1. Hola Omar,

      En el caso de Firefox, porqué no pruebas de localizar el paquete desde el Centro de Software de Ubuntu?
      Si tienes los repositorios Multiverse y Restricted habilitados y haces una búsqueda por Flash o Adobe Flash, te debería salir el paquete entre los primeros resultados.

      En el caso de Chromium y Pepper Flash, no me quedó claro si llegaste a instalar el paquete y te daba el problema a la hora de editar el fichero de configuración de Chromium, o aun te faltaba instalar el paquete. Ten en cuenta que si utilizas Ubuntu 12.04 tienes que seguir la segunda parte de la guía, ya que a diferencia de Ubuntu 14.04 o posteriores, hay que añadir un PPA para poder instalar el paquete.

      $ sudo add-apt-repository ppa:skunk/pepper-flash

      Una vez hecho esto, ya debería dejar instalarlo.

      $ sudo apt-get update
      $ sudo apt-get install pepflashplugin-installer

      A partir de ahí es cuando tienes que editar el fichero de configuración de Chromium para indicarle la ruta del paquete.
      Espero que te funcione.

      Me gusta

  19. amigo ya he visto en varias paginas. pero hasta el momento ninguna me ha funcionado, sigo sin poder instalar el adobe flash en firefox, me puedes ayudar. saludos

    Me gusta

  20. sudo apt-get install flashplugin-installer
    sudo apt-get install gnash mozilla-plugin-gnash
    el primer comando me marco que no soy candidato para la instalacion. pero el segundo si se pudo, solo que al abrir el juego de los avengers, me dice que ocupo la ultima version del adobe flash para jugar. como puedo solucionarlo. al instalar el pepperflash tambien me dice que no soy candidato para la instalacion. saludos

    Me gusta

    1. Hola Omar,
      creo que el paquete de Flash Player que funciona para Firefox es flashplugin-nonfree (debes tener habilitados los repositorios Multiverse para poder instalarlo).
      Puedes probar con esto a ver si te funciona:

      sudo apt-get install flashplugin-nonfree

      Y revisar la lista de plugins en Firefox para comprobar que esté habilitado. Este paquete solo funciona para Firefox. Anteriormente también servía para Chromium, pero desde la versión creo que 34 que éste ultimo ya utiliza PepperFlash, que es la versión empaquetada por Google.

      Coméntame a ver que tal

      Me gusta

  21. Hola de nuevo. gracias por tu ayuda, ya instale el gedit, ya lo abre, pero aun no aparece el flash en chromium, mi maquina es un samsung chromebook, pero le instale ubuntu 12.04. mi real problema es que no pude instalarle el flash playar para firefox asi que no puedo ver algunas aplicaciones en internet. ojala me puedas ayudar ya sea con cualquiera de los dos browser. saludos

    Me gusta

  22. amigo buen dia.
    al escribir “sudo gedit /etc/chromium-browser/deafult” me marca error dice “sudo: gedit: command not found”
    saludos

    Me gusta

    1. Hola Omar!
      Eso es que no debes tener instalado Gedit en tu sistema. Es raro porqué es el editor de texto predeterminado del entorno Gnome.
      En cualquier caso lo puedes instalar desde cualquier gestor de paquetes, o desde la misma terminal haciendo:

      sudo apt-get install gedit

      ¿Que distribución y entorno de escritorio utilizas?

      Me gusta

  23. Oriol en mi caso intente instalar el flashplayer para firefox y no funciono, instale kromium, y luego realice la instalación indicada por ti (excelente tus indicaciones); En el archivo /etc/chromium-browser/defalut agregue la linea que tu indicaste y no funciono, sin embargo lo realice de la siguiente manera: CHROMIUM_FLAGS=”–ppapi-flash-path=/usr/lib/mozilla/plugins/libpepflashplayer.so” y funicono bien.

    Nota: esta en la ruta de mozilla, porque aquí lo deje cuando empecé a instalarlo para firefox… pero lo pueden mudar a la ruta que quieran y modifican la línea anterior.

    saludos y gracias

    Me gusta

    1. Hola Andrea, perdona por no contestar antes.
      ¿Que versión de Ubuntu utilizas?
      Puedes comprobar si realmente el ejecutable de Flash se encuentra en la siguiente ruta:

      /usr/lib/pepflashplugin-installer/

      Si realmente es así, puedes verificar que el archivo de configuración de Chromium contenga esta ruta al final. Puedes abrir el archivo con el siguiente comando:

      $ sudo gedit /etc/chromium-browser/default

      Una vez abierto, tan solo debes ir al final del archivo y añadir la siguiente linea de texto:

      . /usr/lib/pepflashplugin-installer/pepflashplayer.sh

      Finalmente, con guardar el archivo y reiniciar Chromium debería ser necesario.

      Otra cosa, también puedes optar por instalar directamente Chrome, que ya vienen con el plugin integrado y te ahorras el proceso de tener que instalarlo aparte (como ocurre con Chromium).

      Me gusta

  24. hola fijate que hice lo que dices letra a letra en el tutorial, pero al instalar la app en el dash me aparece este msj “No se ha podido localizar el paquete pepflashplugin-installer”… podrias decirme que estoy haciendo mal, lo hice dos veces e igual resultado…. gracias por tu tiempo y dedicacion

    Me gusta

  25. Mil Gracias que también llevaba muchísimo tiempo con este problema pero utilizaba mas Firefox precisamente por este problema con chromium y hace unas semanas que firefox me va fatal (se ralentiza al cargar las paginas) y estaba desesperado con mi ordenador de trabajo. A ido todo a la perfeccion y genial. Muchas Gracias

    Me gusta

    1. De nada Jordi, gracias a ti por el comment.
      A mi últimamente tampoco me va del todo bien Firefox, esperemos a ver a partir de la versión 41 que ya utilizará multiproceso si va mejorando..
      Saludos!!

      Me gusta

    1. Hola Jesus, realmente no hay que editar ninguna línea, es tan solo añadir la nueva línea que pongo al final del archivo, justo debajo de la línea que pone:

      CHROMIUM_FLAGS=""

      Me gusta

  26. Hola! Es mi primer día con Linux y traté de seguir tu tutorial, tuve un problema, si me podés ayudar te agradecería.
    Al querer instalar Pepper Flash en Ubuntu 12.04 LTS, me deja agregar el PPA de Pepper Flash en mi sistema. Sin embargo al querer instalarlo me tira:

    E: No se pudo encontrar el paquete pepflashplugin-installer

    Más aún, cuando hago el “apt-get update” antes de querer instalar el paquete, en las últimas líneas escribe:

    W: Imposible obtener http://ppa.launchpad.net/skunk/pepper-flash/ubuntu/dists/lucid/main/binary-i386/Packages.gz 404 Not Found

    Sabes qué podría estar fallando?

    Me gusta

    1. Hola Saitam, disculpa la tardanza en contestar.
      Es curioso porqué por el mensaje que te aparece, parece como si al hacer el sudo apt-get update intentara buscar la info de un PPA para Ubutu Lucid Lynx (la version 10.04) y de 32 bits, en vez de la relativa a la 12.04.

      Lo que puedes hacer es añadir los repositorios manualmente en tu sistema desde el apartado de “Origenes de Software”. Te dejo la dirección de los repos que debes poner manualmente, en el caso de que utilices Ubuntu 12.04.

      deb http://ppa.launchpad.net/skunk/pepper-flash/ubuntu precise main
      deb-src http://ppa.launchpad.net/skunk/pepper-flash/ubuntu precise main

      Una vez hecho esto, haciendo sudp apt-get update ya te lo debería detectar correctamente.
      Si tienes algun problema durante el proceso coméntame;)

      Me gusta

    1. Hola, no conozco Guadalinex, pero al estar basada en Ubuntu el proceso debería ser el mismo.
      Lo que no se es si PepperFlash estará en los repositorios, pero sino puedes descargarlo aparte.

      Me gusta

  27. q tal tengo dudas con el tutorial, depues de q instalo la ppa y le doy update, quiero meter el paquete, pero me aparece:
    Descargados 2 004 kB en 1min. 51seg. (17.9 kB/s)
    Leyendo lista de paquetes… Hecho
    federico@federico-Inspiron-3521:~$ $ sudo apt-get install pepflashplugin-installer
    $: no se encontró la orden

    tengo dudas sobre q debo hacer o pq no aparece la continuidad gracias y saludos

    Me gusta

  28. He hecho todo lo que indicas pero no se añade el plugin. Esto es lo que el archivo default contiene en mi caso:
    # Default settings for chromium-browser. This file is sourced by /bin/sh from
    # /usr/bin/chromium-browser

    # Options to pass to chromium-browser
    CHROMIUM_FLAGS=””
    . /usr/lib/pepflashplugin-installer/pepflashplayer.sh

    pueden ayudarme porfavor?

    Me gusta

    1. Hola,
      No, es solo válido para Chromium, ya que PepperFlash es una versión de Flash modificada y empaquetada por Google para su navegador.
      Para Firefox debes instalar el Flash normal y corriente, que si usas Ubuntu lo puedes encontrar igualmente en en el Centro de Software de Ubuntu.

      Me gusta

  29. Buen aporte, muchas gracias ! Tengo una duda aun asi, tengo la version 14.04 LTS de ubuntu, y cuando pego en la consola la linea de comando que tu dices me aparece que no se ha podido localizar el paquete pepperflashplugin. Intento haciendo un sudo apt-get update, y luego volver a poner el comando, y me sigue apareciendo ese error.
    Intente entonces bajar el repositorio, con las instrucciones para ubuntu 12. Lo descargue y pude instalar el plugin pero aun asi no me aparece en los complementos de Chromium. Será porque he pegado mal la linea en el archivo ? Va directamente luego de la ultima palabra, o va abajo ? Si tienes idea de que me puede estar pasando te agradeceria mucho ! Gracias por el aporte,
    Saludos, sebastian

    Me gusta

    1. A mi me ha pasado lo mismo que a ti con la version 14.04. Pero fijate que si pones en la consola: “sudo apt-get install pepper” y le presionas la tecla Tab del teclado dos veces (te ofrece las posibles opciones del comando) aparece el paquete pepperflashplugin-nonfree: Por tanto el comando es:

      sudo apt-get install pepperflashplugin-nonfree

      Y después de instalarlo deberás hacer:

      sudo update-pepperflashplugin-nonfree –install

      Con esto, ya sale perfecto :)
      Espero haber ayudado!!

      Me gusta

    2. Hola Sebastian,la linea va debajo, en una linea aparte.
      Aún asi, en Ubuntu 14.04 debería venir en los repositorios oficiales (en el repositorio Multiverse de Ubuntu).
      Si quieres estar más seguro, puedes probar de instalar el gestor de paquetes Synaptic y buscar por “Pepper” o “Flash”. Allí deberías poder ver el nombre real del paquete e instalarlo directamente.
      Si no dime algo;)
      Gracias por el comment!!

      Me gusta

  30. amigo yo he hecho todo lo que dices y no me funciona, me sale al igual que miguel “No se ha podido localizar el paquete pepflashplugin-installer”

    Me gusta

  31. He repito el proceso paso a paso llevando mucho cuidao y al final esta SOLUCIONADO!! Mil gracias, llevaba meses con este problema :D

    Me gusta

  32. Hola, te cuento, tengo la versión más reciente de Luna de Elementary, probé con la primera forma y me desplegaba lo siguiente:

    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    E: No se ha podido localizar el paquete pepperflashplugin

    Ahora bien, intenté con la segunda forma y me fue de maravilla. Muy bien explicado. ¡Muchísimas gracias!

    Me gusta

  33. En la version para Ubuntu 12.04 hay que hacer un update antes de hacer el install, por eso no encuentra el paquete. Es decir, luego de “sudo add-apt-repository ppa:skunk/pepper-flash”, una vez que termine el proceso pegamos “sudo apt-get update” y una vez que termine si, pegamos “sudo apt-get install pepflashplugin-installer”. Eso solucionará el error que le dá a Miguel.

    Me gusta

  34. cuando intento instalar el pepflash.. me da el siguiente error
    “E: No se ha podido localizar el paquete pepflashplugin-installer”

    Me gusta

    1. Hola Miguel. Que versión de Ubuntu utilizas?
      Si te da este error al hacer el ‘apt-get install’ es porqué no localiza el paquete en los repositorios.
      Eso pasa en versiones de Ubuntu anteriores a la 14.04, y en este caso deberías añadir manualmente el PPA oficial de PepperFlash en los repositorios de Ubuntu:

      sudo add-apt-repository ppa:skunk/pepper-flash

      Hecho esto puedes volver a probar de instalar el paquete:

      $ sudo apt-get install pepflashplugin-installer

      Si sigue fallando coméntame algo.

      Me gusta

  35. Si empieza a crashear el plugin, debeis abrir una terminal y ejecutar el comando
    “sudo update-pepperflashplugin-nonfree –install”
    de esta manera se actualizará y adios error en chromium.

    Un saludo!
    Vuestro actor preferido!!

    Me gusta

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s